package interfaces;

import java.io.IOException;
import java.net.UnknownHostException;

public interface C2Ctexto {
	String enviarTexto(String texto) throws UnknownHostException, IOException;
}
/*
 * Recebera o String e o enviara para o destinatario
 * Deve adicionar ao cabecario um byte representando transferencia de texto e 
 * outro representando a ordem da mensagem.
 * A primeira mensagem enviada para estabelecer conexao deve ter apenas 41 no primeiro byte.
 * Nas outras o primeiro deve ter valor 51 e o segundo o valor da ordem da mensagem, que vai de 0 a 127 
 * e depois volta a 0. Nao havera problema pois provavelmente o usuario nao conseguira 
 * enviar 127mensagens por minuto. Tempo suficiente para os acks morrerem.
 * 
 * 
 */
