package socketRTP.testes;

// NAO ESTA FUNCIONANDO

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import javax.sound.sampled.AudioFileFormat;
import javax.sound.sampled.AudioFormat;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.DataLine;
import javax.sound.sampled.LineUnavailableException;
import javax.sound.sampled.TargetDataLine;

public class AudioCapture {

	AudioFormat format;
	DataLine.Info info;
	TargetDataLine line;
	boolean gravando;

	public AudioCapture() throws LineUnavailableException{
		format = new AudioFormat(8000, 8, 1, true, true);
		info = new DataLine.Info(TargetDataLine.class, format);
		line = (TargetDataLine) AudioSystem.getLine(info);
		gravando = false;
	}

	public void startRecord() throws LineUnavailableException, IOException{
		line.open(format);
		line.start();
		
		int bufferSize = (int)format.getSampleRate() * format.getFrameSize();
		byte buffer[] = new byte[bufferSize];
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		gravando = true;
		while (gravando) {
			int count = line.read(buffer, 0, buffer.length);
			if (count > 0) {
				out.write(buffer, 0, count);
			}
		}
		out.close();
		AudioFileFormat.Type tipoAudio = AudioFileFormat.Type.WAVE;
		File arquivoAudio = new File("Teste.wav");
		AudioSystem.write(new AudioInputStream(line), tipoAudio, arquivoAudio);
	}

	public void stopRecord() throws IOException{
		gravando = false;
		line.stop();
		line.close();
	}

}
