import java.io.IOException;
import java.util.Scanner;

import javax.sound.sampled.LineUnavailableException;
import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JTextField;
import java.awt.Rectangle;
import javax.swing.JButton;


public class Teste {
	
	private static JFrame audioFrame = null;  //  @jve:decl-index=0:visual-constraint="174,105"
	private static JPanel audioPane = null;
	private static JTextField ipField = null;
	private static JButton audioButton = null;
	private static boolean conversa = false;

	/**
	 * This method initializes audioFrame	
	 * 	
	 * @return javax.swing.JFrame	
	 */
	private static JFrame getAudioFrame() {
		if (audioFrame == null) {
			audioFrame = new JFrame();
			audioFrame.setSize(new Dimension(340, 174));
			audioFrame.setContentPane(getAudioPane());
		}
		return audioFrame;
	}

	/**
	 * This method initializes audioPane	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private static JPanel getAudioPane() {
		if (audioPane == null) {
			audioPane = new JPanel();
			audioPane.setLayout(null);
			audioPane.add(getIpField(), null);
			audioPane.add(getAudioButton(), null);
		}
		return audioPane;
	}

	/**
	 * This method initializes ipField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private static JTextField getIpField() {
		if (ipField == null) {
			ipField = new JTextField();
			ipField.setBounds(new Rectangle(21, 25, 278, 26));
		}
		return ipField;
	}

	/**
	 * This method initializes audioButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private static JButton getAudioButton() {
		if (audioButton == null) {
			audioButton = new JButton();
			audioButton.setBounds(new Rectangle(109, 61, 105, 36));
			audioButton.setText("Iniciar");
			audioButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if(!conversa){
						conversa=true;
						try {
							vai(ipField.getText());
						} catch (LineUnavailableException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						} catch (IOException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						} catch (InterruptedException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						}
					}
				}
			});
		}
		return audioButton;
	}

	public static void vai(String IP) throws LineUnavailableException, IOException, InterruptedException {
		
		AudioService mic = new AudioService();
		
		mic.iniciarConversa(IP);
		
		System.out.println("Conexo estabelecida!");
		
	}

	public static void main(String[] args){
		JFrame frame = getAudioFrame();
		frame.setVisible(true);

	}
}
